Ken Guest | 1 Mar 12:47 2009
Picon
Picon

T - 6 months; aka time to mark various packages as orphaned.

hi,
Considering the email [
http://article.gmane.org/gmane.comp.php.pear.devel/45876/ ] which Brett sent
back in July 2008 requiring that people upgrade the package.xml files to
version 2 by September 1st 2008, or have the packages marked as orphaned -
would it be an idea for us to do some 'springcleaning' and find those
packages that should now be marked as orphaned and do so.

To be honest, I think there has been enough of a "grace-period" about this -
SIX MONTHS PEOPLE - and someone, perhaps myself, should simply go through
the list of packages that haven't had the package.xml files updated to
version 2 and mark them as orphaned. Also, I'm wondering if we should mark
packages that don't have any active maintainers as orphaned? the
Internationalization/I18n package would be an example of this...

This, to my knowledge, would in turn would give QA approval to work on any
open bugs in these packages; as stated here:
http://wiki.php.net/pear/qa/bug_triage#patches_for_unmaintained_packages.
Considering there are some 600+ open bugs in the system, this would surely
not be a bad thing.

k.

--

-- 
http://short.ie/savenenaghhospital/
Bertrand Mansion | 1 Mar 19:55 2009
Picon

Re: HTML_QuickForm strategy


Le 1 mars 09 à 15:24, Bernd Brincken a écrit :

> [This message has been brought to you via pear.php.net.]
>
> Hello Bertrand,
> you are named as the lead developer for the QuickForm PEAR package.
> I am using this package in my web framework and I found it 98%
> functional and secure.
> Obviously the idea to improve on it with HTML_QuickForm2 has not
> manifested.
> So I propose to open the developement again - and as a simple start
> remove the message "has been superseded" from the PEAR page.
> The current state declares practically the package outdated - which is
> not neccessary.
> Regards
> // Bernd

This is how PEAR works, when a new major version is available, the  
older package gets a "superseded".
I suggest to PEAR admins that this tag gets applied when at least the  
new package hits beta stage, not before.

--
Bertrand Mansion
Mamasam
Work : http://www.mamasam.com
Blog : http://golgote.freeflux.net

--

-- 
(Continue reading)

Christian Weiske | 1 Mar 21:05 2009
Picon

Re: T - 6 months; aka time to mark various packages as orphaned.

Hi Ken,

> files updated to version 2 and mark them as orphaned. Also, I'm
> wondering if we should mark packages that don't have any active
> maintainers as orphaned? the Internationalization/I18n package would
> be an example of this...

+1 from me. We should go that way now.

--

-- 
Regards/Mit freundlichen Grüßen
Christian Weiske

-= Geeking around in the name of science since 1982 =-
Daniel O'Connor | 1 Mar 23:16 2009
Picon

Re: T - 6 months; aka time to mark various packages as orphaned.

On Mon, Mar 2, 2009 at 6:35 AM, Christian Weiske <cweiske <at> cweiske.de> wrote:

> Hi Ken,
>
>
> > files updated to version 2 and mark them as orphaned. Also, I'm
> > wondering if we should mark packages that don't have any active
> > maintainers as orphaned? the Internationalization/I18n package would
> > be an example of this...
>
> +1 from me. We should go that way now.
>

My scratchpad for this is at:
http://wiki.php.net/pear/packages/migration
Ken Guest | 2 Mar 00:43 2009
Picon
Picon

new release of Validate_IS

hi Hannes,
Got my PEAR-QA hat on at the moment ;-)
just wondering if you have a schedule in place for the next release of
Validate_IS - I see there are 3 closed bugs waiting to be released ;-)

regards

Ken

--

-- 
http://short.ie/savenenaghhospital/
Ken Guest | 2 Mar 00:55 2009
Picon
Picon

new releases for validate_au, validate_at and validate_nz

hi Byron,
Just wondering if you have any schedule in mind for new releases of the
validate packages in pear that you are involved  in? (validate_au,
validate_at and validate_nz). They all have some number of bugs in them that
have been fixed since their last release - I know I'm probably responsible
for most of them!

If you don't reckon you'll have the time to do this anytime soon and you
give me explicit permission; I'll take care of releasing those new versions
for you.

regards

K.

--

-- 
http://short.ie/savenenaghhospital/
Daniel O'Connor | 2 Mar 04:19 2009
Picon

Re: new releases for validate_au, validate_at and validate_nz

On Mon, Mar 2, 2009 at 10:25 AM, Ken Guest <kguest <at> php.net> wrote:

> hi Byron,
> Just wondering if you have any schedule in mind for new releases of the
> validate packages in pear that you are involved  in?
>
Go nuts if you want to on validate_au -
http://pear.php.net/bugs/bug.php?id=15454 is the only change and its very
low risk, and my home pear dev environment is MIA.
Hannes Magnusson | 2 Mar 08:29 2009
Picon
Picon

Re: new release of Validate_IS

On Mon, Mar 2, 2009 at 00:43, Ken Guest <kguest <at> php.net> wrote:
> hi Hannes,
> Got my PEAR-QA hat on at the moment ;-)
> just wondering if you have a schedule in place for the next release of
> Validate_IS - I see there are 3 closed bugs waiting to be released ;-)
>

I think package.xml needs to be upgraded to ver2 too..

I guess I can do it over next weekend.

-Hannes

--

-- 
PEAR QA Mailing List (http://pear.php.net/)
To unsubscribe, visit: http://www.php.net/unsub.php

Ken Guest | 2 Mar 10:05 2009
Picon
Picon

Validate_DE

hi Stefan,
Just wondering if you might have a schedule in mind for the next release of
Validate_DE?
There's one set of fixed bugs in it that I noticed (the Coding Standards
ones that I addressed some time ago).
It might even be time to bump the version number of it up from 0.5.1. to
1.00 as the package seems quite
stable ;-)

regards

ken

--

-- 
http://short.ie/savenenaghhospital/
Stefan Neufeind, PEAR | 2 Mar 10:54 2009
Picon

Re: Validate_DE

Ken Guest wrote:
> Just wondering if you might have a schedule in mind for the next 
> release of Validate_DE?
> There's one set of fixed bugs in it that I noticed (the Coding 
> Standards ones that I addressed some time ago).
> It might even be time to bump the version number of it up from 0.5.1. 
> to 1.00 as the package seems quite
> stable ;-)

Hi,

I've been "swapmed with work" lately. But I'll see to look into this 
shortly.

Thank you for the "reminder".

Kind regards,
 Stefan

--

-- 
PEAR QA Mailing List (http://pear.php.net/)
To unsubscribe, visit: http://www.php.net/unsub.php


Gmane